Subject: Re: NFSROOT filesystem

From: [email-masked] (H.Heinold)
Date: Thu, 1 Mar 2001 10:24:46 +0100

On Wed, Feb 28, 2001 at 07:00:13PM -0800, [email-masked] wrote:
> 
> Hi, All
> 
> For using NFS boot, I've already edited the /etc/hosts, /etc/exports to add
> the entry for my target board.  The command line that I use in our EPROM
> based bootloader  is as follows:
> 
> root=/dev/nfs rw ip=::::::rarp console=ttyS2
> nfsroot=209.243.136.151:/work/nfsroot
> 
> I need to setup the NFSROOT filesystem on the server for my target board
> (which is running in Big-endian mode),  what are the steps that I have to
> do?
>
For big endian you need big endian complied packages, you can retrieve the debian base2_2.2.tgz
under ftp.uni-mainz.de/pub/Linux/debian-local/mips, which should work fine as nfsroot. I have some
problems with open a console beacause on Indigo2 you only have output on the serial console.

> There is a FTP site for getting RPM packages for little endian mode:
> 
>          tp://ftp.linux.sgi.com/[ig/linux/mips/mipsel-linux/RedHat-6.1/RPMS
> 
> I could not find similar one for big-endian.    Can anybody give me a
> pointer to where the RPM packages reside on the web?
> 
> 
> Thanks,
> 
No prob.

> Lisa

-- 

Henning Heinold